#
# Conditional build:
%bcond_without	champlain	# maps support via libchamplain [gtk+3 only]
#
Summary:	Graphics file browser utility
Summary(hu.UTF-8):	Képfájl-böngésző eszköz
Summary(pl.UTF-8):	Narzędzie do przeglądania plików graficznych
Name:		geeqie
Version:	2.0.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	https://github.com/BestImageViewer/geeqie/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	d3a97a0fd28a0c6f4c44948299bf994d
URL:		http://www.geeqie.org/
BuildRequires:	djvulibre-devel >= 3.5.27
BuildRequires:	exiv2-devel >= 0.11
BuildRequires:	ffmpegthumbnailer-devel >= 2.1.0
BuildRequires:	gdk-pixbuf2-devel >= 2
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.52.0
BuildRequires:	gspell-devel >= 1.6
BuildRequires:	gtk+3-devel >= 3.22}
BuildRequires:	lcms2-devel >= 2.0
BuildRequires:	libarchive-devel >= 3.4.0
%{?with_champlain:BuildRequires:	libchamplain-devel >= 0.12}
BuildRequires:	libheif-devel >= 1.3.2
BuildRequires:	libjpeg-devel
BuildRequires:	libjxl-devel >= 0.3.7
BuildRequires:	libpng-devel
BuildRequires:	libraw-devel >= 0.20
BuildRequires:	libtiff-devel
BuildRequires:	libwebp-devel >= 0.6.1
BuildRequires:	lua53-devel >= 5.3
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	openjpeg2-devel >= 2.3.0
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.62
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	xxd
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	desktop-file-utils
Requires:	djvulibre >= 3.5.27
Requires:	exiv2-libs >= 0.11
Requires:	ffmpegthumbnailer >= 2.1.0
Requires:	glib2 >= 1:2.24.0
Requires:	gtk+3 >= 3.22
Requires:	lcms2 >= 2.0
Requires:	libarchive >= 3.4.0
%{?with_champlain:Requires:	libchamplain >= 0.12}
Requires:	libheif >= 1.3.2
Requires:	libjpeg-progs
Requires:	libjxl >= 0.3.7
Requires:	libraw >= 0.20
Requires:	libwebp >= 0.6.1
Requires:	openjpeg2 >= 2.3.0
Requires:	poppler-glib >= 0.62
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32		-fomit-frame-pointer

%description
Geeqie is a browser for graphics files. Offering single click viewing
of your graphics files. Includes thumbnail view, zoom and filtering
features. And external editor support.

%description -l fr.UTF-8
Geeqie est un explorateur de fichiers graphiques. Il permet d'un
simple clic l'affichage de vos fichiers graphiques. Les capacités
suivantes sont incluses: vue d'imagettes, zoom, filtres et support
d'éditeurs externes.

%description -l hu.UTF-8
Geeqie egy böngésző, amellyel a grafikus fájlokat tudod kezelni.
Egyszeri kattintásra megnézheted a képfájljaidat. Kicsinyített nézet,
zoom és szűrő eszközök is található, és külső szerkesztő támogatása.

%description -l pl.UTF-8
Geeqie jest przeglądarką plików graficznych. Możesz przeglądać swoje
pliki graficzne jednym kliknięciem myszy. Zawiera widok miniatur, zoom
i opcje filtrowania, jak również wsparcie dla zewnętrznego edytora.

%prep
%setup -q

%build
%{__sed} -i '1s,%{_bindir}/awk,/bin/awk,' \
	plugins/geocode-parameters/geocode-parameters.awk

%meson build -Dgq_bindir=%{_libdir}/%{name} %{!?with_champlain:-Dgps-map=disabled}

%ninja_build -C build

cd build/doc/html
ln -sf GuideIndex.html index.html

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/{applications,template.desktop}
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}


%find_lang %{name}

%post
%update_desktop_database

%postun
%update_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README.md TODO NEWS build/doc/html
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/geeqie-camera-import
%attr(755,root,root) %{_libdir}/%{name}/geeqie-camera-import-hook-script
%attr(755,root,root) %{_libdir}/%{name}/geeqie-export-jpeg
%attr(755,root,root) %{_libdir}/%{name}/geeqie-image-crop
%attr(755,root,root) %{_libdir}/%{name}/geeqie-random-image
%attr(755,root,root) %{_libdir}/%{name}/geeqie-rotate
%attr(755,root,root) %{_libdir}/%{name}/geeqie-symlink
%attr(755,root,root) %{_libdir}/%{name}/geeqie-tethered-photography
%attr(755,root,root) %{_libdir}/%{name}/geeqie-tethered-photography-hook-script
%attr(755,root,root) %{_libdir}/%{name}/geocode-parameters.awk
%attr(755,root,root) %{_libdir}/%{name}/lensID
%{_datadir}/metainfo/org.geeqie.Geeqie.appdata.xml
%changelog
* Fri Aug 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geeqie.git;a=log;h=master

* Fri Aug 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 36bcae7
- up to 2.0.1

* Tue Aug 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 66c342d
- Release: 1

* Tue Aug 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6646a05
- up to 2.0

* Fri Apr 15 2022 Jakub Bogusz <qboosh@pld-linux.org> a46d1e8
- fixed lcms2 version (actual dependency is lcms2 2.0+ or lcms 1.14+)

* Wed Apr 13 2022 Jakub Bogusz <qboosh@pld-linux.org> deb2ec2
- updated dependencies, fixed files, disable silent rules

* Tue Apr 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3758d05
- up to 1.7.3

* Tue Feb 01 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c1e75bb
- up to 1.7.2

* Sat May 15 2021 Jan Rękorajski <baggins@pld-linux.org> 2cb5eee
- remove references to deleted patches

* Fri Apr 09 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7ab7513
- removing unnecessary patches

* Fri Apr 09 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d32f179
- up to 1.6

* Wed Feb 13 2019 Jan Rękorajski <baggins@pld-linux.org> 78f116f
- fix build on x32
- rel 2

* Tue Feb 12 2019 Jan Rękorajski <baggins@pld-linux.org> 8bd363b
- up to 1.4

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> e5b3fab
- rebuild with exiv2 0.26
- release 2 (by relup.sh)

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 9f84a67
- more versioned install time dependencies, bconds for BRs

* Thu Sep 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 46be31a
- updated to 1.3
- removed obsolete raws patch
- default to gtk3 with clutter and maps/champlain support

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 9e0dc54
- desktop cleanup; rel 2

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 56a3e32
- different fix for html install

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 1a76e22
- packaging fixes

* Sun May 01 2016 Kacper Kornet <kk562@cam.ac.uk> 4e21d6b
- add forgotten patch

* Sun May 01 2016 Kacper Kornet <kk562@cam.ac.uk> 966ad3c
- fix displaying of previews of raw files

